Bug 1710837 - Feature gate machine healthcheck controller with cluster feature gate
Summary: Feature gate machine healthcheck controller with cluster feature gate
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.1.0
Assignee: Jan Chaloupka
QA Contact: Jianwei Hou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-16 12:11 UTC by Jan Chaloupka
Modified: 2019-06-04 10:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:48:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:49:44 UTC

Description Jan Chaloupka 2019-05-16 12:11:15 UTC
Description of problem:
All extra features are gated by `cluster` feature gate key. Health checking feature is gated by `machine-api` key. Given all components are expecting `cluster` key, we need to do the same.

Comment 3 Jianwei Hou 2019-05-20 05:40:43 UTC
Verified in 4.1.0-rc.5


Enabling machine-healthcheck with
```
apiVersion: config.openshift.io/v1
kind: FeatureGate
metadata:
  annotations:
    release.openshift.io/create-only: "true"
  creationTimestamp: "2019-05-20T03:15:02Z"
  generation: 2
  name: cluster
  resourceVersion: "44796"
  selfLink: /apis/config.openshift.io/v1/featuregates/cluster
  uid: 753f6c70-7aad-11e9-99f2-064df673d19e
spec:
  featureSet: TechPreviewNoUpgrade
```

oc get pod machine-api-controllers-84b44d48f7-z7zpc
NAME                                       READY   STATUS    RESTARTS   AGE
machine-api-controllers-84b44d48f7-z7zpc   4/4     Running   0          75s


--------
Disabling machine-healthcheck with
```
apiVersion: config.openshift.io/v1
kind: FeatureGate
metadata:
  annotations:
    release.openshift.io/create-only: "true"
  creationTimestamp: "2019-05-20T03:15:02Z"
  generation: 3
  name: cluster
  resourceVersion: "46260"
  selfLink: /apis/config.openshift.io/v1/featuregates/cluster
  uid: 753f6c70-7aad-11e9-99f2-064df673d19e
spec: {}
```

Once it's disabled, delete the machine-api-controllers deployment so that the machine-healthcheck-controller is removed(Automatic removal is tracked by https://bugzilla.redhat.com/show_bug.cgi?id=1710172).
oc get pods machine-api-controllers-749bdc5684-lst9s
NAME                                       READY   STATUS    RESTARTS   AGE
machine-api-controllers-749bdc5684-lst9s   3/3     Running   1          117s

Comment 5 errata-xmlrpc 2019-06-04 10:48:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.